using System; 
using Server; 

namespace Server.Items 
{ 
public class Tokens : Item 
{ 
[Constructable] 
public Tokens() : this( 50 ) 
{ 
} 

[Constructable] 
public Tokens( int amountFrom, int amountTo ) : this( Utility.Random( amountFrom, amountTo - amountFrom ) ) 
{ 
} 

[Constructable] 
public Tokens( int amount ) : base( 0xEED ) 
{ 
Name = " Token "; 
Hue = 1153; 
Stackable = true; 
Weight = 0.00; 
Amount = amount; 
LootType = LootType.Regular; 
} 

public Tokens( Serial serial ) : base( serial ) 
{ 
} 

//public override int GetDropSound() 
//{ 
//if ( Amount <= 1 ) 
//return 61; 
//else if ( Amount <= 5 ) 
//return 61; 
//else 
//return 61; 
//} 

protected override void OnAmountChange( int oldValue ) 
{ 
TotalGold = (TotalGold - oldValue) + Amount; 
} 

public override void UpdateTotals() 
{ 
base.UpdateTotals(); 

SetTotalGold( this.Amount ); 
} 

public override Item Dupe( int amount ) 
{ 
return base.Dupe( new Tokens( amount ), amount ); 
} 

public override void Serialize( GenericWriter writer ) 
{ 
base.Serialize( writer ); 

writer.Write( (int) 0 ); // version 
} 

public override void Deserialize( GenericReader reader ) 
{ 
base.Deserialize( reader ); 

int version = reader.ReadInt(); 
} 
} 
}